Package org.postgresql.util

# Interface LruCache.CreateAction<Key,Value>

Type Parameters:
  `Value` - type of the cache entry

Enclosing class:
  LruCache<Key,Value extends CanEstimateSize>

public static interface LruCache.CreateAction<Key,Value>
When the entry is not present in cache, this create action is used to create one.

## Method Summary

Modifier and Type
Method
Description
`Value`
`create(Key key)`

## Method Details

### create

Value create(Key key) throws SQLException

Throws:
  `SQLException`